Bug 830527 - milter.if is not prepared for communication over tcp sockets
milter.if is not prepared for communication over tcp sockets
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 07:03 EDT by Enrico Scholz
Modified: 2012-06-16 20:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:05:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2012-06-10 07:03:24 EDT
Description of problem:

milter.if supports communication over unix sockets only.  Using tcp sockets creates avcs like

| type=1400 audit(1339325104.844:27): avc:  denied  { name_bind } for  pid=10277 comm="dkim-filter" src=10005 scontext=unconfined_u:system_r:dkim_milter_t:s0 tcontext=system_u:object_r:http_cache_port_t:s0 tclass=tcp_socket


For all my milters I wrote local rules like

---
type dkim_milter_port_t;
corenet_port(dkim_milter_port_t);

require {
	type dkim_milter_t;
	class tcp_socket { name_connect name_bind listen };
}

allow dkim_milter_t dkim_milter_port_t:tcp_socket { name_bind };
allow dkim_milter_t self:tcp_socket { listen accept };
---

Perhaps this can be generalized in milter.if?
Comment 1 Miroslav Grepl 2012-06-11 06:49:14 EDT
Fixed in selinux-policy-3.10.0-130.fc17
Comment 2 Fedora Update System 2012-06-11 17:03:51 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Fedora Update System 2012-06-15 20:00:46 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-16 20:05:37 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.